<?php
@session_start();
  $vg_login=$_SESSION["usuario"];
  $vg_empresa=$_SESSION["empresa"];
  $documento=$_REQUEST["nd"];
  $coddoc=$_REQUEST["td"];
  $valida=$_REQUEST["valida"];
  
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	

?>
<html>
<head>
<title>CARGAR ANEXO</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="icon" type="image/png" href="../icono.ico"/>
<link href="../general.css" rel="stylesheet" type="text/css">
<script src="../js/jquery.min.js"></script>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>

<link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>
 

<body >
<style type="text/css">
/* Necesario para que se muestre bien los nuevos elementos agregados */
.file {
	display: block;
}
span a {
	margin-left: 1em;
}
</style>
<script type="text/javascript">
<!--

var numero = 0;

// Funciones comunes
c= function (tag) { // Crea un elemento
   return document.createElement(tag);
}
d = function (id) { // Retorna un elemento en base al id
   return document.getElementById(id);
}
e = function (evt) { // Retorna el evento
   return (!evt) ? event : evt;
}
f = function (evt) { // Retorna el objeto que genera el evento
   return evt.srcElement ?  evt.srcElement : evt.target;
}

addField = function () {
   container = d('files');
   
   span = c('SPAN');
   span.className = 'file';
   span.id = 'file' + (++numero);

   field = c('INPUT');   
   field.name = 'archivos[]';
   field.type = 'file';
   field.size = 70;
   
   a = c('A');
   a.name = span.id;
   a.href = '#';
   a.onclick = removeField;
   a.innerHTML = 'Quitar';

   span.appendChild(field);
   span.appendChild(a);
   container.appendChild(span);
}
removeField = function (evt) {
   lnk = f(e(evt));
   span = d(lnk.name);
   span.parentNode.removeChild(span);
}
//-->
</script>
</head>
<?php

$mensaje="";$mensaje1="";
include "../conexion.php";


$sql_datos =mysqli_query($conexion,"select  anticipo,tipodocumento,estado,municipio FROM documento	where id='".$documento."' and empresa='".$vg_empresa."'");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$estadoDOC=$datos[2];
					 	
				   }


$fechavence=date("Y-m-d");$tipoanexo="";
$rs_tipoanexo=mysqli_query($conexion,"SELECT id,nombre FROM tipo_anexo where estado='A' and tipo='documentos'
									 union 
									 select 0,'' from  tipo_anexo
									 order by nombre asc");
					 
if(isset($_REQUEST["oculto"]))
{
  $tipoanexo=$_REQUEST["tipoanexo"];
  
	if(isset($_REQUEST["enviar"]))
		  {  
			  if($estadoDOC<>107)
        	     {
        	         $mensaje="No se puded modificar estado diferente de creado";
        							?>				  
        							<script>
        							cuteToast({
        								  type: "error", // or 'info', 'error', 'warning'
        								  message: "<?php echo $mensaje; ?>",
        								  timer: 3000
        								})
        							</script>
        						   <?php
        	     }
        	     else
        	     {
        			  if($tipoanexo>0)
        			  {  
        				cargar_archivos($documento,$vg_empresa,$vg_login,$tipoanexo);
        			  }
        			  else
        			  {echo "<script>alert('Seleccione el tipo de Documento');</script>";}
        	     }
		  }


if($_REQUEST["oquitar"]==1)
		  {   
			 if($estadoDOC<>107)
        	     {
        	         $mensaje="No se puded modificar estado diferente de creado";
        							?>				  
        							<script>
        							cuteToast({
        								  type: "error", // or 'info', 'error', 'warning'
        								  message: "<?php echo $mensaje; ?>",
        								  timer: 3000
        								})
        							</script>
        						   <?php
        	     }
        	     else
        	     {
    				$c=1;$canti=$_REQUEST['cantirg'];
    				while($c<=$canti)
    				{  
    					if(isset($_REQUEST['ch'.$c])) {$val=1; }  else {$val=0;} 
    					$id=$_REQUEST['id'.$c];
    					if($val==1)
    					  {  
    					  
    					   $sql_datos=mysqli_query($conexion,"select archivo_nombre from documento_anexo where id='".$id."'");
    						while($datos= mysqli_fetch_row($sql_datos))//01
    							{  $idn=trim($datos[0]);
    							}		
    					 	
    						// $enlace = $path_a_tu_doc."/".$idn;
    						 //unlink($enlace);
    						 
    						$sql_insert=mysqli_query($conexion,"delete from documento_anexo  where id='".$id."'"); 
    					  }
    					$c=$c+1;
    		        }//fin cliclo	  
        	     }  
		 }//fin guardar

}


?>

<form action="" method="post" enctype="multipart/form-data" name="form1">

  <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" class="texto">
  <tr > 
       <td width="14%" >
			 <span class="texto_campos">Tipo Anexo:			</span>
       <td width="38%" ><span class="texto_campos">
       <select name="tipoanexo" id="tipoanexo" class="form-control" onFocus="this.style.background='#D5EAFF'" onBlur="this.style.background='#ffffff'" style="width: 350px">
         <?php while ($row=mysqli_fetch_array($rs_tipoanexo))
					{
					 if ($tipoanexo==$row['id'])
						{echo "<option value=".$row['id']." selected>".$row['nombre']."</option>";}
					 else
						{echo "<option value=".$row['id'].">".$row['nombre']."</option>";}		
					}
			 ?>
       </select>
       </span>       
       <td width="9%" >
    <td width="39%" ></tr>
    <tr>
	<td colspan="4">
	  <div align="left"><strong><a href="#" onClick="addField()" accesskey="1" class="btn btn-primary"><font color="#ffffff" size="3">Adjuntar Archivo(s)</font></a></strong></div>
     </td>
    </tr>
	<tr > 
      <td colspan="4"> <div id="files"><font color="#000066"></font></div></td>
    </tr>
    <tr> 
      <td colspan="4"> <div align="center"> 
       <?php
       if($valida==1)
			{
		?>		
        <input name="enviar" type="submit" id="enviar" value="Cargar Archivo" onClick="submit();" class="btn btn-primary">
       <?php
			}
		?>		

        <input name='cerrar' type='hidden' id='cerrar' value='Cerrar' class="btn btn-info"  onClick='window.close();'>
          <input name="oculto" type="hidden" id="oculto">
          <input name="oquitar" type="hidden" id="oquitar">
          
      </div></td>
    </tr>
    <tr> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="4"> </td>
    </tr>
  </table>
 
 <?php
$contar=0;
   $sql_datos=mysqli_query($conexion,"select count(*) as contar from documento_anexo
						 			  where documento='".$documento."' and empresa='".$vg_empresa."'");
  while($datos= mysqli_fetch_row($sql_datos)){  $contar=trim($datos[0]);}	
 if($contar>=1)									  
  {
	$sql_datos=mysqli_query($conexion,"select id,archivo_nombre,fecsis,tipoanexo,usuario
									   from documento_anexo
						 			    where documento='".$documento."' and empresa='".$vg_empresa."'
										 order by id desc");
	echo "<center>";
	echo "<table width='100%' border='1' cellspacing='0' cellpadding='0' class='table table-hover' bordercolor='#337AB7'> \n";
	echo "<tr>
				<td colspan='6 class='btn-primary'><center><font color='#ffffff'>ANEXOS CARGADOS</FONT></center></td>
			</tr>";
	echo "<tr >
					 <td class='btn-primary'><font color='#ffffff'  ></FONT></td>
					 <td class='btn-primary'><font color='#ffffff' >TIPO ARCHIVO</FONT></td>
					 <td class='btn-primary'><font color='#ffffff' >ARCHIVO</FONT></td>
					 <td class='btn-primary'><font color='#ffffff' >FECHA </FONT></td>
					 <td class='btn-primary'><font color='#ffffff' >USUARIO</FONT></td>";
				  echo "</tr>";			
	$c=1;		
	while($datos= mysqli_fetch_row($sql_datos))//01
		{  $id=trim($datos[0]);
		   $imagen=trim($datos[1]); 
		   $fecsis=trim($datos[2]); 
		   $tipoanexo=trim($datos[3]); 
		   $usuario=trim($datos[4]); 
		  
			$cr=strlen($imagen);$ci=0;$cci=0;
			while($ci<=$cr)
			 { if(substr($imagen,$ci,1)=="_")  
				 { $cci=$ci+1; $cr=$cr+1;}
				$ci=$ci+1;
			  }
			$imagen=substr($imagen,$cci,$cr);

			$rs_tipoanexo=mysqli_query($conexion,"SELECT nombre FROM tipo_anexo where id='".$tipoanexo."'");
			while($datosta= mysqli_fetch_row($rs_tipoanexo)){$ntipo=$datosta[0];}
					
		 echo "<tr>
				  		<td>
							<input name='id$c' type='hidden' id='id$c'  value='$id'>
							<input type='checkbox' name='ch$c' style='width: 15px'  >";
								if($valida==1)
        						  {
        						 echo "<input name='quitar' type='submit' id='quitar' value='-' onClick='oquitar.value=1;' class='btn btn-primary' title='Quitar Anexo'>";
        						  }
						echo "</td>
						<td>$ntipo</td>
						<td align='center'>";
    					 ?>
    					   <a href="#" class='btn btn-primary'
    					   onclick="javascript:window.open('../verdoc/vertmp_archivo.php?nd=<?php echo $id; ?>&pr=3','verdoc','menubar=0,toolbar=0,location=0,directories=0,status=0,scrollbars=0,width=1000,height=700');" ><?php echo $imagen;?></a>
    					 <?php
    					 echo "</td>	
						<td>$fecsis</td>
						<td>$usuario</td>";
				  echo "</tr>";
				  
		
	/*	  echo "<tr>	
		  			 <td align='center'>
						<input name='id$c' type='hidden' id='id$c'  value='$id'>
						<input type='checkbox' name='ch$c' style='width: 15px'  >";
						if($valida==1)
						  {
						 echo "<input name='quitar' type='submit' id='quitar' value='-' onClick='oquitar.value=1;' class='btn btn-info' title='Quitar Anexo'>";
						  }
					 echo "</td>
					 <td>$ntipo</td>
					 <td><a href='verdoc.php?id=$id&valida=1' target='otraven'>$imagen</a></td>					 
					 <td>$fecsis</td>
					 <td>$usuario</td>";
		  echo "</tr>";
		  */
		  $c++;
	  }	
	  echo "</table>";
	  $canti=$c-1;
      echo "<input type='hidden' name='cantirg' value='$canti' readonly size='10'>";	
	}
	
	 mysqli_close($conexion);
?>  


</form>   
</body>
</html>


<?php

	function cargar_archivos($documento,$vg_empresa,$vg_login,$tipoanexo)
		{ include "../conexion.php";
		  date_default_timezone_set('America/Bogota');
			$msg="";
				if (isset ($_FILES["archivos"]))
				  { $msg .= "<ul>";
					foreach ($_FILES["archivos"]["error"] as $key => $error) 
					  { if ($error == UPLOAD_ERR_OK)
						  { 
						    $tmp_name = $_FILES["archivos"]["tmp_name"][$key];
							$name = $_FILES["archivos"]["name"][$key];
							$tamno = $_FILES["archivos"]["size"][$key];
							$tipo = $_FILES["archivos"]["type"][$key];
							$msg .= "<li>$name</li>";
							$name = uniqid('bc') . '_' . $name; 
							
							
							// FTP server details
								  $ftpHost   = 'datevolutionsas.com';
                            		$ftpUsername = 'docjascon@datevolutionsas.com';
                                    $ftpPassword = ']DAW7YCgoCr[6F6G';
									
									// open an FTP connection
									$connId = ftp_connect($ftpHost,21);
									// login to FTP server
									$ftpLogin = ftp_login($connId, $ftpUsername, $ftpPassword);
									if((!$connId) || (!$ftpLogin))
									  { echo "No se pudo conectar al servidor";}
									 else
									   { //echo "conectado";
									   }
									
									// local & server file path
									$localFilePath  = $tmp_name;
									$remoteFilePath = $name;
									// try to upload file
									if(ftp_put($connId, $remoteFilePath, $localFilePath, FTP_BINARY))
									   {
										   $mensaje="Transerencia de archivo Correcto - $remoteFilePath";
											?>	   
										     <div class="alert alert-info">
											   <strong>Alert!</strong> <?php echo $mensaje; ?>
										     </div>
										   <?php
										   $sql_insert=mysqli_query($conexion,"insert into documento_anexo 
            										(documento,empresa,archivo_nombre,tipoanexo,usuario,fecsis)
            								 		values ('".$documento."','".$vg_empresa."','".$name."','".$tipoanexo."','".$vg_login."', '".date("Y-m-d")."')");	
											if($sql_insert)	{}
									    }
									else
									   {echo "Error Transfiriendo archivo al servidor"; }
					  }
						  else
						   { if($error==1){echo "<script>alert('el tama�o del archivo supera los 3MB');</script>";}
						   }
					  } 
					$msg .= '</ul>';
					
				} 
		 mysqli_close($conexion);
		}

?>

